Bug 58485 - XMMS frequency bars are "jumpy"
XMMS frequency bars are "jumpy"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-17 17:01 EST by Chris Evans
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2002-01-17 17:01:24 EST
This is a regression since RH7.0.

The problem is kind of hard to describe, but essentially the XMMS frequency
analyzer display has become very "jumpy". The frequency analyzer is the series
of little bars which appear in the default XMMS setup.
It is as if the bars are only working properly for a brief time every 250ms or so.
They sync to the music and then drop of until the next 250ms "beat".

I am not sure if this is an XMMS bug or a kernel bug. However, I know the cause
of this issue - namely the upgrade to the 2.4 kernel. RH7.0 also exhibited this
problem when I manually installed and booted on a 2.4 kernel.

If it matters, I am using the OSS driver for my AWE32 card. "sndconfig" detects
it fine.
Comment 1 Bill Nottingham 2002-01-24 02:08:30 EST
You *are* using the OSS output module, not the esound one, correct?
Comment 2 Chris Evans 2002-01-24 15:21:28 EST
Ah, spot on Bill.
Switched to the OSS output plugin and the display is fine.
But the default install would seem to go for the esound plugin, which
has the bug as described.
Comment 3 Bill Nottingham 2002-01-24 17:15:44 EST
It's something to do with the interaction of the 2.4 driver re: fragment size (I
think)  and esound. A lot of drivers have it (cs46xx is another).
Comment 4 Bugzilla owner 2004-09-30 11:39:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.